#include <bits/stdc++.h>
using namespace std;
long long N,M,A[2000][2000],Q,B[2000][2000],rez;
int main(){
  cin>>N>>M;
  for(int i = 1;i<=N;i++){
    for(int j = 1;j<=M;j++){
      cin>>A[i][j];
    }
  }
  cin>>Q;
  for(int i=1;i<=Q;i++){
    for(int j =1;j<=Q;j++){
      cin>>B[i][j];
    }
  }
  for(int i = 1;i<=N;i++){
    rez += A[i][1];
  }
  for(int i = 1;i<=N;i++){
    rez += A[1][i];
  }
  cout<<rez<<endl;


  return 0;
}